' addgrant.vbs - version 1.1 - Copyright (C) Evio 2000--2002
' - appends a grant entry for mone to the policy file
' - creates a new shortcut to "mone.bat"

Dim CurDir
Dim wsh
Dim fs
Dim policyFileName
Dim file
Dim shortcut

CurDir = left(WScript.ScriptFullName, _
	len(WScript.ScriptFullName) - len(WScript.ScriptName))
CurDir = Replace(CurDir,"\","/")
Set fs = CreateObject("Scripting.FileSystemObject")

Set wsh = WScript.CreateObject("WScript.Shell")
policyFileName = wsh.SpecialFolders("Desktop") & "\..\.java.policy"

Set file = fs.OpenTextFile(policyFileName, 8, true)  ' ForAppending = 8
file.WriteLine("")
file.WriteLine("// [mone] The following grant can be safely deleted.")
file.WriteLine("grant codeBase ""file:/" & CurDir & """ {")
file.WriteLine("  permission java.io.FilePermission " _
	& """mone.dat"", ""read, write"";")
file.WriteLine("};")
file.Close

Set shortcut = wsh.CreateShortcut("MONE 2000.lnk")
shortcut.WorkingDirectory = left(WScript.ScriptFullName, _
	len(WScript.ScriptFullName) - len(WScript.ScriptName))
shortcut.IconLocation = shortcut.WorkingDirectory & "mone.ico"
shortcut.Arguments = ""
'shortcut.WindowStyle = 7 ' minimize
shortcut.TargetPath = shortcut.WorkingDirectory & "mone.bat"
shortcut.Save


function Replace(str, fromStr, toStr)
    Dim i
    i = InStr(str, fromStr)
    While i > 0
        str = Left(str, i - 1) & toStr & Mid(str, i + Len(fromStr))
        i = InStr(i + Len(toStr), str, fromStr)
    Wend
    Replace = str
End function
